[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.Create

Create a new parameter value

## Declaration

Source position: db.pas line 1236

`public constructor TParam.Create(`
`ACollection: TCollection`
`); override; overload; constructor TParam.Create(`
`AParams: TParams;`
`AParamType: TParamType`
`); overload;`

## Arguments

`ACollection` |  | Collection this parameter is part of

## Arguments

`AParams` |  | TParams instance this parameter is part of
`AParamType` |  | Parameter type for the new parameter instance

## Description

Create first calls the inherited create, and then initializes the parameter properties. The first form creates a default parameter, the second form is a convenience function and initializes a parameter of a certain kind (AParamType), in which case the owning TParams collection must be specified in AParams

## See also

TParams |  | A collection of parameter values for SQL-based datasets